| ISF 2.1 Intelligent Sensing Framework for Kinetis with Processor Expert

- Main Page
- Modules
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Modules Pages
Data Fields
device_info_t Struct Reference

This structure holds the ROM device information such as version and part number and is returned by the _fw_device_info_get() command. More...

`#include <isf.h>`

Collaboration diagram for device_info_t:

## Data Fields
uint_32 | device_id
uint_16 | rom_version
uint_16 | fw_version
uint_16 | hw_version
uint_16 | build_code
uint_16 | part_number
uint_8 | reset_cause
uint_8 | secure_mode
uint_16 | pad

## Detailed Description

This structure holds the ROM device information such as version and part number and is returned by the _fw_device_info_get() command.

Definition at line 115 of file isf.h.

## Field Documentation

uint_16 build_code

FW: Firmware build number and date code. The value is encoded in the following bit fields:

- [15:12] daily build number, 0 to 15
- [11: 8] build month, 1 to 12
- [ 7: 3] build day, 1 to 31
- [ 2: 0] build year, 2010 to 2017

Definition at line 120 of file isf.h.

Referenced by _fw_device_info_get().

uint_32 device_id

ROM: Pseudo random part identification value

Definition at line 116 of file isf.h.

uint_16 fw_version

FW: Firmware version code: major.minor

Definition at line 118 of file isf.h.

Referenced by _fw_device_info_get().

uint_16 hw_version

ROM: Hardware version code: major.minor

Definition at line 119 of file isf.h.

uint_16 pad

Definition at line 130 of file isf.h.

uint_16 part_number

FW: BCD encoded part number, e.g. 0x500x

Definition at line 126 of file isf.h.

Referenced by _fw_device_info_get().

uint_8 reset_cause

FW: Lower 5 bits from the RCSR reports reset source

Definition at line 127 of file isf.h.

uint_16 rom_version

ROM: ROM version code: major.minor

Definition at line 117 of file isf.h.

uint_8 secure_mode

FW: Lower 2 bits of FOPT report the security mode of the device: 2 = secure, otherwise not secure

Definition at line 128 of file isf.h.

The documentation for this struct was generated from the following file:

- ISF/Core/Include/isf.h

- © Freescale Semiconductor, Inc. 2015. All Rights Reserved.